﻿function loadCollapse() {
  var cs = document.querySelectorAll(".collapse");
  for (i = 0; i < cs.length; i++) {
    cs[i].addEventListener("click",  function() { collapseText(this); });
    if(cs[i].nextElementSibling.classList.contains("hidden"))
      cs[i].classList.add("up_arrow");
    else {
      cs[i].nextElementSibling.classList.add("show")
      cs[i].classList.add("down_arrow");
    }
  }
}

function collapseText(elem) {
  if(elem.classList.contains("up_arrow")) {
    elem.classList.remove("up_arrow");
    elem.classList.add("down_arrow");
    elem.nextElementSibling.classList.remove('hidden');
    elem.nextElementSibling.classList.add('show');
    elem.nextElementSibling.scrollIntoView(false);
  } else {
    elem.classList.add("up_arrow");
    elem.classList.remove("down_arrow");
    elem.nextElementSibling.classList.remove('show');
    elem.nextElementSibling.classList.add('hidden');
  }
}

window.addEventListener("load", loadCollapse); 