
;TV's server version 3.20
;Copyright (c) 2014 - 2022, Tycho Veltmeijer.
;All rights reserved.
section 'exec' executable writeable ;align 0x10
public __asm_exchange_tables_asm
public _init
public InitGetFuncPointers

public __asm_exchange_tables_c as '__asm_exchange_tables_http'
public RecvAndParseHTTP_c as 'RecvAndParseHTTP'
public FreeHttpSession_c as 'FreeHTTPSession'       ;FreeHTTPSession_c
public SendHTTPHeader_c as 'SendHTTPHeader'
public ConvertEscapedCharactersToBytes_c as 'ConvertEscapedCharactersToBytes'
public GetIndexedStringItemWithHash_c as 'GetCollectionItem'
public EscapeAndSendValue_c as 'EscapeAndSendValue'
public EscapeHtmlAndSendValue_c as 'EscapeHtmlAndSendValue'
public DeleteDoubleSlashesInUrl_c as 'DeleteDoubleSlashesInUrl'
public DecodeURL_c as 'DecodeURL'
public SendFile_c as 'SendFile'
public EscapeValue_c as 'EscapeValue'


include 'include/flags.inc'

InitGetFuncPointers:
exportedFunctions:
dd 0x00010001 ;version (lowerword = new version, higherword=new functions but still supports older versions) 0001 sincew introduction EscapeValue
pointer __asm_exchange_tables
pointer RecvAndParseHTTP
pointer FreeHttpSession
pointer SendHTTPHeader
pointer ConvertEscapedCharactersToBytes
pointer GetIndexedStringItemWithHash
pointer EscapeAndSendValue_Export
pointer EscapeHtmlAndSendValue_Export
pointer DeleteDoubleSlashesInUrl
pointer DecodeURL
pointer SendFile
pointer getMimeTypeFromExtension
pointer __FreeMimeTypeFromExtension_internal;  ( = FreeMimeTypeFromExtension)
pointer EscapeValue

include_usefile
include 'include/debug_functions.inc'
include 'include/general_version_info.inc'
include 'include/flags.inc'
include 'linux/timedate.inc'       ;deze
include 'linux/filefunctions.inc'  ;HTTP protocol
include 'linux/memfunctions.inc'
include 'include_http_protocol/tvs_server_http_protocol_base.asm'
include 'linux/threadfunctions.inc'
include 'include_http_protocol/plugin_export_list.inc'
include 'include_http_protocol/readable_writeable_data.inc'
include 'linux/modulefunctions.inc'