
;TV's server version 3.20
;Copyright (c) 2014 - 2022, Tycho Veltmeijer.
;All rights reserved.

;WARNING: THIS FILE MAY NOT HAVE OUTPUT!!!

DEFAULT_SENDTIMEOUT equ 5*1000 ;5 seconds


;DONT CHANGE THIS ONE, HARD SPEC!!!!
PLUGIN_IDENTIFIER equ "TV's server 3.00"

;--SizeOf--
SIZEOF_MODULE equ (psize*2)
SIZEOF_PROTOCOLSESSION equ (psize*3)
SIZEOF_INTERNALPROTOCOLSTRUCTURE equ (7*psize)+4*4+(4*psize)
SIZEOF_CONTROLPANELOPTION equ (8*psize)+8
SIZEOF_USERVALUEOPTION equ (1*psize)+8
;SIZEOF_COLUMN equ psize+SIZEOF_USERVALUEOPTION
SIZEOF_MULTICOLUNMLIST equ (psize*1)+8;+SIZEOF_COLUMN
SIZEOF_PLUGINDATAMULTICOLUMNLIST equ (psize*1)+8;+SIZEOF_COLUMN
SIZEOF_CURRENTPROGRESS equ 0xC
SIZEOF_LISTENSESSION equ 8+psize
SIZEOF_PROTOCOLDATA equ psize*2
SIZEOF_INTERNALLISTENSESSION equ (psize*5)+8+psize+psize
SIZEOF_INTERNALCLIENTSESSION equ SIZEOF_INTERNALLISTENSESSION-psize
SIZEOF_BINDSTRUCT equ (3*psize)+8
SIZEOF_BINDINITSTRUCT equ 8
sizeOfResponseHeaderSize equ 15*psize+4*4
sizeOfDefaultHTTPVariables equ psize*23
sizeOfHTTPSession equ (7*psize)+12
SIZEOF_COLUMN equ SIZEOF_USERVALUEOPTION+psize
SIZE_OF_ROW equ 8+psize

POS_DATABYNAME_INTERNALPROTOCOL equ (7*psize)+4*4
POS_DATABYINTEGER_INTERNALPROTOCOL equ (7*psize)+4*4+psize
POS_PSIGN_INTERNALPROTOCOL equ POS_DATABYINTEGER_INTERNALPROTOCOL+psize

;list indexed by integer or string list, orderd by psess
POS_DATABYNAME_INTERNALLISTENSESSION equ (4*psize)
POS_DATABYINTEGER_INTERNALLISTENSESSION equ (3*psize)
POS_DATABYNAME_INTERNALCLIENTSESSION equ POS_DATABYNAME_INTERNALLISTENSESSION
POS_DATABYINTEGER_INTERNALCLIENTSESSION equ POS_DATABYINTEGER_INTERNALLISTENSESSION

;--POS_THREADID_INTERNALLISTENSESSION equ 5*psize
POS_STATE_INTERNALLISTENSESSION equ 5*psize

;--Flags--
;internal listensession state
LSESS_STATE_LOADING equ 0
LSESS_STATE_ERROR equ 1
LSESS_STATE_LOADED equ 2
LSESS_STATE_UNLOADING equ 3

;ListenSessionIsCreated flags
LCCF_LSESS_UNLOADED equ 0x1

;status flags
PT_STARTING equ 0
PT_PROTOCOLINFO_SET equ 1
PT_RUNNING equ 2


;ControlPanelOption structure flags
CPO_PRIV_PROTOCOL_OPTION equ 0x1
CPO_PRIV_LISTENSESSION_OPTION equ 0x2
CPO_PRIV_READABLE equ 0x4
CPO_PRIV_WRITEABLE equ 08

;--or--
CPO_SHOW_IN_MENU equ 0x10

;--or--
CPO_GEN_PROTOCOL_OPTION equ 0x20
CPO_GEN_LISTENSESSION_OPTION equ 0x200
CPO_GEN_READONLY equ 0x4
CPO_GEN_LISTENSESSION_READONLY equ 0x8

;--and--
GDPD_NAME_IS_INTEGER equ 0x80

;---------

;BindToProtocolCallBack function flags
BTPC_RECOVERED equ 0x1

;---------

;CloseListenSessionEx function flags
CLS_REMOVE_LISTENSESSION_FROM_SETTINGS equ 0x1
CLS_INTERNAL_SKIP_PROTOCOLSESSION_CHECK equ 0x80000000

;GetClientSessionInfo function flags
CSI_CLIENT_ADDRESS equ 0x0
CSI_CLIENT_PORT equ 1
CSI_LOCAL_ADDRESS equ 2
CSI_LOCAL_PORT equ 3
CSI_CONNECTION_ALIVE equ 4

;--and--
CSI_RAW_DATA equ 0x20000

;---------

;GetPluginData & SavePluginData function flags
GDPD_IS_LIST equ 0x1
GDPD_NO_COPY_LIST equ 0x2
GDPD_MEMORY_ONLY equ 0x4
;GDPD_NAME_IS_INTEGER equ 0x80 --see ControlPanelOption structure flags
GDPD_RESET_DATA equ 0x8
;internal used by GetPluginData:
GDPD_USED_PSESS equ 0x10000
GDPD_USED_LSESS equ 0x20000

;---------

;GetSettingsHeaderSize & SendSettingsHeader function flags
HEADER_TOP equ 0x1
HEADER_BOTTOM equ 0x2

;---------

;GetSupportedLanguages function flags
L_US_ENGLISH equ 0

;---------

;RecvData & SendData  function flags
RSF_RETURN_ON_COMPLETE equ 0x0
RSF_RETURN_ON_ERROR equ 0x1
RSF_PEEK_DATA equ 0x2
RSF_RETURN_ON_FIRST_SUCCESSFUL_ATTEMPT equ 0x4
RSF_USE_TIMEOUT equ 0x8 ;=> internally used!!!!!

;RecvData & SendData return values
CE_NOERR equ 0x0
CE_NO_BUFFER_AVAILABLE equ 0x1
CE_CONNECTION_CLOSED equ 0x2
CE_UNKNOWN_ERROR equ 0x3
CE_TIMEOUT equ 0x4
;CE_TIMEOUT_NODATA equ 0x5

;---------

;SetProtocolInformation & BindStruct function flags en types
PT_RECEIVER equ 0
PT_MANIPULATOR equ 1
PT_LABORER equ 2
PT_NO_PROTOCOL equ 3

PT_HIGHEST_FLAG equ PT_NO_PROTOCOL

PT_CONTROLPANEL equ 0x10000
PT_SUPPORT_PSIGN equ 0x20000

PT_SYSTEM_DEFAULT_CHARSET equ 0x0
PT_ANSI_CHARSET equ 0x40000
PT_MAC_CHARSET equ 0x80000
PT_UTF_8_CHARSET equ 0x100000

V_TV_SERVER_1 equ 0
V_TV_SERVER_101 equ 1
V_TV_SERVER_102 equ 2
HIGHEST_SUPPORTED equ V_TV_SERVER_102
LOWEST_SUPPORTED equ V_TV_SERVER_1
;INTERNAL_V_TV_SERVER_1_C_PROTOCOL equ 0x10000

;---------

;BindStruct funciton return values
BE_NOERR equ 0
BE_PROTOCOL_LOADING equ 1
BE_NOT_LOADED equ 2
BE_NOT_SUPPORTED_PROTOCOL equ 3

;---------

;UserValueOption structure types
TD_ASCII_STRING equ 0
TD_UNICODE_STRING equ 1
TD_BOOLEAN equ 2
TD_CHAR equ 3
TD_SHORT_INT equ 4
TD_INTEGER equ 5
TD_LARGE_INTEGER equ 6
TD_DATE equ 7
TD_TIME equ 8
TD_DATETIME equ 9
TD_PROGRESS equ 10
TD_LIST equ 11


;--Errors
NO_ERROR equ 0
PT_WRONG_TYPE equ 1
PSESS_NOT_VALID equ 2
VERSION_UNSUPPORTED equ 3
INVALID_POINTER equ 4
UVO_WRONG_TYPE equ 5
CORRUPT_SIZE equ 6
LSESS_NOT_VALID equ 7

;ResponseHeader flags
FRH_DONT_SEND_TIMEDATE equ 0x1
FRH_USE_CONTENT_TYPE_EXTENSION equ 0x2
FRH_SEND_CONTENT_RANGE equ 0x4
FRH_FORCE_ZERO_CONTENT_LENGTH equ 0x8
FRH_SEND_LAST_MODIFIED equ 0x10
FRH_SEND_EXPIRES equ 0x20
FRH_SEND_AUTHORIZATION_REQUEST equ 0x40
FRH_DONT_END_HEADER equ 0x80
FRH_CONNECTION_CLOSE equ 0x0
FRH_CONNECTION_KEEP_ALIVE equ 0x100
FRH_DONT_ESCAPE_LOCATION equ 0x200
FRH_DONT_SEND_CONTENT_TYPE equ 0x400
FRH_TRANSFER_ENCODING_CHUNKED equ 0x800

;ResponseHeader contentType
UNKNOWN_BINARY equ 0
TEXT_PLAIN equ 1
TEXT_HTML equ 2
IMAGE_PNG equ 3
IMAGE_GIF equ 4
IMAGE_JPEG equ 5

;RecvAndParseHTTP flags
RPF_DONT_PARSE equ 0x1
RPF_USE_HEADER_SIZE_LIMIT equ 0x2
RPF_USE_TIME_LIMIT equ 0x4
RPF_CHECK_VALID_METHOD equ 0x8

;RecvAndParseHTTP error codes
RPE_NO_ERROR equ 0
RPE_EXCEEDED_SIZE_LIMIT equ 1
RPE_EXCEEDED_TIME_LIMIT equ 2
RPE_UNKNOWN_METHOD equ 3
RPE_UNKNOWN_PROTOCOL equ 4
RPE_CONNECTION_LOST equ 5

;EscapeAndSendValue flags
REPLACE_SPACE_WITH_ADD_SIGN equ 0x1
SKIP_SPECIAL_CHARS equ 0x2
DONT_REPLACE_PATH_CHARACTERS equ 0x4

;EscapeHtmlAndSendValue flags
REPLACE_SPACE_WITH_NON_BREAKING_SPACE equ 0x1
EHSV_SEND_IN_CHUNKS equ 0x2
EHSV_DONT_ESCAPE_ANSI equ 0x4

;cookie flags
CF_SECURE equ 0x1
CF_HTTP_ONLY equ 0x2
CF_DONT_ESCAPE_VALUE equ 0x4
CF_DONT_ESCAPE_PATH equ 0x8
CF_SEND_EXPIRES_DATE equ 0x10

;AuthorizationOptions flags
AF_BASIC_AUTHENTICATION equ 0x0
AF_DIGEST_AUTHENTICATION equ 0x1

AF_QOP_AUTH equ 0x0
AF_QOP_AUTH_INT equ 0x2

AF_STALE_DONT_SEND equ 0x0
AF_STALE_TRUE equ 0x4
AF_STALE_FALSE equ 0x8

;ConvertEscapedCharacterToBytes flags
ETBF_UNESCAPE_ADD_SIGN_AS_SPACE equ 0x1

;FindListItem flags
FLI_CASE_SENSITIVE equ 0x1
FLI_COMPARE_ONLY_ONE_ROW equ 0x2

;GetAPIVersion flags
GAV_LOWEST_SUPPORTED_VERSION equ 0x1

;Log flags
LOG_MESSAGE equ 0x1
LOG_WARNING equ 0x2
LOG_ERROR equ 0x4
LOG_WELCOME_MESSAGE equ 0x10000